Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.GUI
Class ISD

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      de.unibi.techfak.InSilicoDicer.GUI.ISD

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class ISD

extends javax.swing.JPanel

The class ISD builds a main Panel for the complete GUI WITHOUT JMenubar. Class ISD is used a basic for the Application ISD.main and the Applet (ISDApplet). Remove all design style (color coding) for Swing elements, this should be done by adding a new L&F skin.

Author:
  Sylvia Stippmann , Jan Krueger
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.JButton` | `allSimilarConfirmButton` Actions on top left
`protected javax.swing.JComboBox` | `chooseDB`
`protected javax.swing.JButton` | `clear` Tree and around
`protected javax.swing.JComboBox` | `consChooser`
`protected javax.swing.JSpinner` | `cutoffSpinner`
`protected java.util.Vector<java.lang.String>` | `dbVector`
`static java.lang.String` | `example` final example sequence for ISD
`protected javax.swing.JButton` | `exampleButton` Actions on top left
`protected javax.swing.JButton` | `extrinsicProfile` Profiles
`protected javax.swing.JComboBox` | `foldChooser`
`protected javax.swing.JLabel` | `info`
`protected javax.swing.JTextArea` | `inputArea`
`protected javax.swing.JButton` | `inputConfirmButton` Actions on top left
`protected javax.swing.JButton` | `intrinsicPlot` Profiles
`protected javax.swing.JButton` | `intrinsicProfile` Profiles
`protected java.util.List<javax.swing.JComponent>` | `jcomponents` List of all JComponents which should be deactivated, if any component is calculating
`protected javax.swing.JButton` | `loadPCs` Actions on top left
`protected javax.swing.JComboBox` | `maChooser`
`protected javax.swing.JComponent` | `newContentPane`
`protected javax.swing.JFrame` | `parent` Reference of parentFrame
`protected javax.swing.JSplitPane` | `playground`
`protected javax.swing.JInternalFrame` | `plotFrame`
`protected javax.swing.JPanel` | `plotPane`
`protected javax.swing.JTabbedPane` | `plots`
`protected javax.swing.tree.DefaultMutableTreeNode` | `root`
`protected javax.swing.JComboBox` | `scoreChooser`
`protected javax.swing.JScrollPane` | `scroller`
`protected javax.swing.JScrollPane` | `scrollTree`
`protected javax.swing.JButton` | `searchButton` Actions on top left
`protected javax.swing.JButton` | `selectAll` Tree and around
`protected javax.swing.JButton` | `selectedSimilarConfirmButton` Actions on top left
`static long` | `serialVersionUID`
`protected javax.swing.JList` | `similarList`
`protected SimilarListModel` | `similarListModel`
`protected javax.swing.JFrame` | `splashframe`
`protected javax.swing.JSplitPane` | `split`
`protected javax.swing.JTree` | `tree`
`protected javax.swing.tree.DefaultTreeModel` | `treeModel`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ISD()` Creates the MainPanel
`ISD(javax.swing.JFrame parent)` Creates the MainPanel
`ISD(javax.swing.JFrame parent, java.lang.String arg)` Creates the MainPanel with Parent frame references
`ISD(java.lang.String arg)` Creates the MainPanel;

Method Summary
`void` | `checkJComponentEnabled()` Check, wether a action component could be activated
`protected static void` | `createAndShowGUI()` private static helper function which 'creates and showes GUI'
`PrecursorContainer` | `getAllSim()`
`PrecursorContainer` | `getSelectedPCs()` Get the selected Precursors from JTree and put them into a PrecursorContainer
`javax.swing.JTree` | `getTree()`
`static void` | `main(java.lang.String[] args)`
`void` | `setAllSim(PrecursorContainer allSim)`
`void` | `setJComponentEnabled(boolean enabled)` Enables or Disables all jcomponent components
`void` | `setTree(javax.swing.JTree tree)`
`void` | `showErrorDialog(java.lang.String text)`
`void` | `showInfoDialog(java.lang.String text)`
`void` | `showWarnDialog(java.lang.String text)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

### example

    public static final java.lang.String example

  final example sequence for ISD

  See Also:
    Constant Field Values

### jcomponents

    protected java.util.List<javax.swing.JComponent> jcomponents

  List of all JComponents which should be deactivated, if any component is calculating

### splashframe

    protected javax.swing.JFrame splashframe

### loadPCs

    protected javax.swing.JButton loadPCs

  Actions on top left

### exampleButton

    protected javax.swing.JButton exampleButton

  Actions on top left

### inputConfirmButton

    protected javax.swing.JButton inputConfirmButton

  Actions on top left

### searchButton

    protected javax.swing.JButton searchButton

  Actions on top left

### allSimilarConfirmButton

    protected javax.swing.JButton allSimilarConfirmButton

  Actions on top left

### selectedSimilarConfirmButton

    protected javax.swing.JButton selectedSimilarConfirmButton

  Actions on top left

### inputArea

    protected javax.swing.JTextArea inputArea

### similarList

    protected javax.swing.JList similarList

### similarListModel

    protected SimilarListModel similarListModel

### extrinsicProfile

    protected javax.swing.JButton extrinsicProfile

  Profiles

### intrinsicProfile

    protected javax.swing.JButton intrinsicProfile

  Profiles

### intrinsicPlot

    protected javax.swing.JButton intrinsicPlot

  Profiles

### selectAll

    protected javax.swing.JButton selectAll

  Tree and around

### clear

    protected javax.swing.JButton clear

  Tree and around

### tree

    protected javax.swing.JTree tree

### parent

    protected javax.swing.JFrame parent

  Reference of parentFrame

### plots

    protected javax.swing.JTabbedPane plots

### plotFrame

    protected javax.swing.JInternalFrame plotFrame

### newContentPane

    protected javax.swing.JComponent newContentPane

### scroller

    protected javax.swing.JScrollPane scroller

### plotPane

    protected javax.swing.JPanel plotPane

### playground

    protected javax.swing.JSplitPane playground

### split

    protected javax.swing.JSplitPane split

### cutoffSpinner

    protected javax.swing.JSpinner cutoffSpinner

### dbVector

    protected java.util.Vector<java.lang.String> dbVector

### chooseDB

    protected javax.swing.JComboBox chooseDB

### info

    protected javax.swing.JLabel info

### treeModel

    protected javax.swing.tree.DefaultTreeModel treeModel

### root

    protected javax.swing.tree.DefaultMutableTreeNode root

### scrollTree

    protected javax.swing.JScrollPane scrollTree

### maChooser

    protected javax.swing.JComboBox maChooser

### consChooser

    protected javax.swing.JComboBox consChooser

### foldChooser

    protected javax.swing.JComboBox foldChooser

### scoreChooser

    protected javax.swing.JComboBox scoreChooser

Constructor Detail

### ISD

    public ISD()

  Creates the MainPanel

### ISD

    public ISD(java.lang.String arg)

  Creates the MainPanel;

  Parameters:
    `arg` - - argument contains a URL to alternative configuration

### ISD

    public ISD(javax.swing.JFrame parent)

  Creates the MainPanel

  Parameters:
    `parent` - - ParentFrame of this panel

### ISD

    public ISD(javax.swing.JFrame parent,
               java.lang.String arg)

  Creates the MainPanel with Parent frame references

  Parameters:
    `parent` - - ParentFrame this Panel
    `arg` - - argument contains a URL to a alternative configuration

Method Detail

### getTree

    public javax.swing.JTree getTree()

  Returns:
    Returns the tree.

### setTree

    public void setTree(javax.swing.JTree tree)

  Parameters:
    `tree` - The tree to set.

### getAllSim

    public PrecursorContainer getAllSim()

  Returns:
    Returns the allSim.

### setAllSim

    public void setAllSim(PrecursorContainer allSim)

  Parameters:
    `allSim` - The allSim to set.

### getSelectedPCs

    public PrecursorContainer getSelectedPCs()

  Get the selected Precursors from JTree and put them into a PrecursorContainer

  Returns:
    Selected Precursors

### checkJComponentEnabled

    public void checkJComponentEnabled()

  Check, wether a action component could be activated

### setJComponentEnabled

    public void setJComponentEnabled(boolean enabled)

  Enables or Disables all jcomponent components

  Parameters:
    `enabled` - - boolean

### showInfoDialog

    public void showInfoDialog(java.lang.String text)

### showWarnDialog

    public void showWarnDialog(java.lang.String text)

### showErrorDialog

    public void showErrorDialog(java.lang.String text)

### createAndShowGUI

    protected static void createAndShowGUI()

  private static helper function which 'creates and showes GUI'

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD